Bug 961680 - sssd components seem to mishandle sighup
sssd components seem to mishandle sighup
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sssd (Show other bugs)
5.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On: 886038
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 05:15 EDT by sorin
Modified: 2015-08-02 20:01 EDT (History)
9 users (show)

See Also:
Fixed In Version: sssd-1.5.1-66.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 886038
Environment:
Last Closed: 2013-09-30 18:45:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 RHEL Product and Program Management 2013-05-10 10:19:05 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 4 Ondrej Vasik 2013-05-15 07:41:40 EDT
Could you please set devel_ack/condnack for 5.10 or postpone/close this bugzilla? Erratas should be filed by May 21st, so development phase is nearing its exit.
Comment 5 Jakub Hrozek 2013-05-16 10:44:54 EDT
(In reply to comment #4)
> Could you please set devel_ack/condnack for 5.10 or postpone/close this
> bugzilla? Erratas should be filed by May 21st, so development phase is
> nearing its exit.

acks in place.
Comment 8 Amith 2013-06-26 07:45:35 EDT
Verified the BZ in SSSD version - sssd-1.5.1-69.el5

See the beaker output of automated script for the BZ, below:

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: bz886038 SSSD should no longer keep connection to sssd.log open
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'service sssd stop'
:: [   PASS   ] :: Running 'rm -fr /var/lib/sss/db/*.ldb'
:: [   PASS   ] :: Running 'service sssd start'
:: [   PASS   ] :: napping for 5 secs...
:: [   PASS   ] :: Running 'restart_clearing_cache'
:: [   PASS   ] :: sssd_nss doesn't have open connection to sssd.log
:: [   PASS   ] :: sssd_be doesn't have open connection to sssd.log
:: [   PASS   ] :: sssd has open connection to sssd.log
:: [   LOG    ] :: Rename sssd.log to sssd.log.old
:: [   PASS   ] :: Running 'mv -f /var/log/sssd/sssd.log /var/log/sssd/sssd.log.old'
:: [   PASS   ] :: Running 'kill -HUP 18778'
:: [   PASS   ] :: sssd_nss doesn't have open connection to sssd.log.*
:: [   PASS   ] :: Running 'kill -HUP 18777'
:: [   PASS   ] :: sssd_be doesn't have open connection to sssd.log.*
:: [   PASS   ] :: Running 'kill -HUP 18776'
:: [   PASS   ] :: sssd doesn't have open connection to sssd.log.old
:: [   LOG    ] :: Duration: 7s
:: [   LOG    ] :: Assertions: 15 good, 0 bad
:: [   PASS   ] :: RESULT: bz886038 SSSD should no longer keep connection to sssd.log open
Comment 10 errata-xmlrpc 2013-09-30 18:45:54 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1319.html

Note You need to log in before you can comment on or make changes to this bug.